### Constructor

# Camel FilterOutputStream new

since: 3.12

#### Declaration [src]

    GOutputStream*
    camel_filter_output_stream_new (
      GOutputStream* base_stream,
      CamelMimeFilter* filter
    )

#### Description [src]

Creates a new filtered output stream for the `base_stream`.

Available since: 3.12

#### Parameters

`base_stream`

  Type: `GOutputStream`

  A `GOutputStream`.

  The data is owned by the caller of the function.

`filter`

  Type: `CamelMimeFilter`

  A `CamelMimeFilter`.

  The data is owned by the caller of the function.

#### Return value

Type: `GOutputStream`

A new `GOutputStream`.

The caller of the function takes ownership of the data, and is responsible for freeing it.